- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 5b31b040-ff28-4ccb-8bce-59c53f9ad56f
    creation_time: 2023-02-17T13:37:30.486739Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/fermat1-ll_valuebound2.c
      input_file_hashes:
        c/nla-digbench-scaling/fermat1-ll_valuebound2.c: 29123ed479a06938c1b58bc0ee2ae38219e9e012922d3ca9fba5679eb1736558
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/fermat1-ll_valuebound2.c
    file_hash: 29123ed479a06938c1b58bc0ee2ae38219e9e012922d3ca9fba5679eb1736558
    line: 35
    column: 0
    function: main
  loop_invariant:
    string: 4 * (A + r) == u * u - v * v - 2 * u + 2 * v
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: e85b525b-d66b-4db5-af99-95b7c28d9bfb
    creation_time: 2023-02-17T13:37:30.487139Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/fermat1-ll_valuebound2.c
      input_file_hashes:
        c/nla-digbench-scaling/fermat1-ll_valuebound2.c: 29123ed479a06938c1b58bc0ee2ae38219e9e012922d3ca9fba5679eb1736558
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/fermat1-ll_valuebound2.c
    file_hash: 29123ed479a06938c1b58bc0ee2ae38219e9e012922d3ca9fba5679eb1736558
    line: 36
    column: 0
    function: main
  location_invariant:
    string: 4*(A+r) == u*u - v*v - 2*u + 2*v
    type: assertion
    format: C

- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 89b86369-ebda-41b3-a0e0-684bec1cb450
    creation_time: 2023-02-17T13:37:30.487238Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/fermat1-ll_valuebound2.c
      input_file_hashes:
        c/nla-digbench-scaling/fermat1-ll_valuebound2.c: 29123ed479a06938c1b58bc0ee2ae38219e9e012922d3ca9fba5679eb1736558
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/fermat1-ll_valuebound2.c
    file_hash: 29123ed479a06938c1b58bc0ee2ae38219e9e012922d3ca9fba5679eb1736558
    line: 40
    column: 0
    function: main
  loop_invariant:
    string: 4 * (A + r) == u * u - v * v - 2 * u + 2 * v
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: ff156cb8-ca85-4b5e-82dd-2fa4903f10e7
    creation_time: 2023-02-17T13:37:30.487320Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/fermat1-ll_valuebound2.c
      input_file_hashes:
        c/nla-digbench-scaling/fermat1-ll_valuebound2.c: 29123ed479a06938c1b58bc0ee2ae38219e9e012922d3ca9fba5679eb1736558
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/fermat1-ll_valuebound2.c
    file_hash: 29123ed479a06938c1b58bc0ee2ae38219e9e012922d3ca9fba5679eb1736558
    line: 41
    column: 0
    function: main
  location_invariant:
    string: 4*(A+r) == u*u - v*v - 2*u + 2*v
    type: assertion
    format: C

- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 62a8e167-9ef8-4580-b6d3-06d0e572cc7a
    creation_time: 2023-02-17T13:37:30.487406Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/fermat1-ll_valuebound2.c
      input_file_hashes:
        c/nla-digbench-scaling/fermat1-ll_valuebound2.c: 29123ed479a06938c1b58bc0ee2ae38219e9e012922d3ca9fba5679eb1736558
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/fermat1-ll_valuebound2.c
    file_hash: 29123ed479a06938c1b58bc0ee2ae38219e9e012922d3ca9fba5679eb1736558
    line: 48
    column: 0
    function: main
  loop_invariant:
    string: 4 * (A + r) == u * u - v * v - 2 * u + 2 * v
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 895f07da-f750-499a-bf53-8d10a1e936c2
    creation_time: 2023-02-17T13:37:30.487484Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/fermat1-ll_valuebound2.c
      input_file_hashes:
        c/nla-digbench-scaling/fermat1-ll_valuebound2.c: 29123ed479a06938c1b58bc0ee2ae38219e9e012922d3ca9fba5679eb1736558
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/fermat1-ll_valuebound2.c
    file_hash: 29123ed479a06938c1b58bc0ee2ae38219e9e012922d3ca9fba5679eb1736558
    line: 49
    column: 0
    function: main
  location_invariant:
    string: 4*(A+r) == u*u - v*v - 2*u + 2*v
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: be5d57a4-3178-4fc7-973d-46f9e8bfb17d
    creation_time: 2023-02-17T13:37:30.487564Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/fermat1-ll_valuebound2.c
      input_file_hashes:
        c/nla-digbench-scaling/fermat1-ll_valuebound2.c: 29123ed479a06938c1b58bc0ee2ae38219e9e012922d3ca9fba5679eb1736558
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/fermat1-ll_valuebound2.c
    file_hash: 29123ed479a06938c1b58bc0ee2ae38219e9e012922d3ca9fba5679eb1736558
    line: 57
    column: 0
    function: main
  location_invariant:
    string: ((long long) 4*A) == u*u - v*v - 2*u + 2*v
    type: assertion
    format: C

